Package Details: opencv2-samples 2.4.13.6-1

Git Clone URL: https://aur.archlinux.org/opencv2.git (read-only)
Package Base: opencv2
Description: Open Source Computer Vision Library (Legacy Version) (samples)
Upstream URL: http://opencv.org/
Licenses: BSD
Conflicts: opencv-samples
Submitter: reisub
Maintainer: ashok
Last Packager: petronny
Votes: 18
Popularity: 0.091879
First Submitted: 2016-04-25 13:35
Last Updated: 2018-06-04 15:43

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

temporalin commented on 2018-06-03 20:34

The patches worked for me without ffmpeg-compat-57

davidmcinnis commented on 2018-05-15 20:58

Build fails due to bad symbol: AVFMT_RAWPICTURE:

https://pastebin.com/raw/ijUpaG9Z

I had to include the patch file AVFMT_RAWPICTURE.patch:

https://pastebin.com/raw/Bkb32qKW

Here my patch to PKGBUILD:

https://pastebin.com/raw/ZwXKNEvW

Also had to install https://aur.archlinux.org/packages/ffmpeg-compat-57/

-Dave

Captain_Rage commented on 2018-05-13 08:10

Getting

make[2]: [modules/highgui/CMakeFiles/opencv_highgui.dir/build.make:180: modules/highgui/CMakeFiles/opencv_highgui.dir/src/cap_ffmpeg.cpp.o] Error 1 make[1]: [CMakeFiles/Makefile2:1211: modules/highgui/CMakeFiles/opencv_highgui.dir/all] Error 2 make: *** [Makefile:163: all] Error 2

after recompiling after yesterday's system upgrade.

petronny commented on 2018-05-13 05:44

I get exactly the errors in https://stackoverflow.com/questions/46884682/error-in-building-opencv-with-ffmpeg

Please fix them.

oppsig commented on 2017-10-22 09:02

Does this package have conflicts with opencv 3 still?

Kpunkt commented on 2017-09-09 15:04

Should be fixed. Check it out!

jerry73204 commented on 2017-09-07 17:44

OpenCV 2.4.13.3 fajled to build due to the following issue.
https://github.com/opencv/opencv/issues/9584

Please apply this patch as a fix-up.

diff -Naur opencv-2.4.13.3/cmake/OpenCVCompilerOptions.cmake opencv-2.4.13.3.new/cmake/OpenCVCompilerOptions.cmake
--- opencv-2.4.13.3/cmake/OpenCVCompilerOptions.cmake 2017-07-31 20:57:29.000000000 +0800
+++ opencv-2.4.13.3/cmake/OpenCVCompilerOptions.cmake 2017-09-08 01:05:41.389053649 +0800
@@ -18,9 +18,9 @@
message(STATUS "Unable to compile program with enabled ccache, reverting...")
set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${__OLD_RULE_LAUNCH_COMPILE}")
endif()
- else()
- message(STATUS "Looking for ccache - not found")
endif()
+ else()
+ message(STATUS "Looking for ccache - not found")
endif()
endif()

yar commented on 2017-08-04 00:41

Almost 2 months out of date. Do you need a co-maintainer?

davidmcinnis commented on 2016-11-22 21:02

Could you please remove eigen2 from the make dependencies? I've been able to build opencv2 without eigen2 installed and it seems to work fine.

-Dave

fireion commented on 2016-08-30 14:38

Could someone please modify the PKGBUILD now that gcc5 is in official repos as dependency of cuda ? (Add some comment to enable cuda, and compile cuda parts using gcc-5/g++-5)